<%#-- copyright
OpenProject is an open source project management software.
Copyright (C) the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<%=
  component_wrapper(tag: "turbo-frame") do
    render(Primer::Beta::Text.new(tag: :div, test_selector: "storage-audience-form")) do
      primer_form_with(
        model:,
        url: form_url,
        method: :patch,
        data: {
          turbo_frame: "page-content",
          application_target: "dynamic",
          controller: "storages--storage-audience"
        }
      ) do |form|
        flex_layout do |general_info_row|
          general_info_row.with_row(mb: 3) do
            render(Storages::Admin::StorageAudienceInputForm.new(form))
          end

          general_info_row.with_row do
            render(
              Storages::Admin::SubmitOrCancelForm.new(
                form,
                storage:,
                submit_button_options:,
                cancel_button_options:
              )
            )
          end
        end
      end
    end
  end
%>
